Package org.gradle.api.plugins.scala

# Interface ScalaPluginExtension

public interface ScalaPluginExtension
Common configuration for Scala based projects. This is added by the `ScalaBasePlugin`.

Since:
  6.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Property<String>`
  `getScalaVersion()`
  The version of the Scala to use for compiling Scala code.
  `Property<String>`
  `getZincVersion()`
  The version of the Zinc compiler to use for compiling Scala code.

- ## Method Details

  - ### getZincVersion

    Property<String> getZincVersion()
    The version of the Zinc compiler to use for compiling Scala code.

    Default version is Zinc "1.10.4".

    Gradle supports Zinc from 1.6.0.
    Returns:
      zinc compiler version
    Since:
      6.0

  - ### getScalaVersion

    @Incubating Property<String> getScalaVersion()
    The version of the Scala to use for compiling Scala code.
    Returns:
      The scala version
    Since:
      8.13